<Server xmlns="http://xmlns.4suite.org/reserved" xmlns:dc="http://purl.org/dc/elements/1.1/">
  <dc:description>The demonstration server</dc:description>
  <Status running='1'/>
  <Module>Http</Module>
  <Handler>http_basic</Handler>
  <Port>8801</Port>

  <!-- contact information -->
  <ServerAdmin>root@localhost</ServerAdmin>
  <ServerName>localhost</ServerName>

  <!-- logging -->
  <LogLevel>notice</LogLevel>

  <DocumentRoot>/ftss/demos</DocumentRoot>
  
  <Redirect src='/ftss/demos'>index.html</Redirect>

  <DefaultXslt type='#container'>/ftss/data/container.xslt</DefaultXslt>

  <!--
       session support options follow.

       the server will initiate a new session when a SessionMethod exists
       and when one of the following is true:

         - the request contains the following form data / query args:
             action-name=login
             user-name=<a valid server username>
             password=<the corresponding password>
           (note that the names of the 'user-name' and 'password' fields 
            can be changed below)

         - the request contains the following form data / query arg:
             action-name=anonymous-login
           (note that the value can be changed below)
  -->

  <!-- type of session: [ Cookie | URLRewrite ] (URLRewrite not yet supported) -->
  <SessionMethod>Cookie</SessionMethod> <!-- enables session support -->

  <!-- request form data / query arg names for the user name and password -->
  <SessionUserName>user-name</SessionUserName>
  <SessionPassword>password</SessionPassword>

  <!-- value of 'action-name' form data / query arg if signalling an anonymous session -->
  <SessionAnonymousFlag>anonymous-login</SessionAnonymousFlag>

  <!-- URI to redirect to when an expired session is requested -->
  <SessionInvalidUri>/buyerbase/?xslt=home.xslt&amp;expired=1</SessionInvalidUri>

  <!-- request form data / query arg name for the URI to redirect to if the login is valid -->
  <SessionLoginUri>post-login</SessionLoginUri>

  <!-- request form data / query arg name for the URI to redirect to if the login is invalid -->
  <SessionInvalidLoginUri>invalid-login</SessionInvalidLoginUri>

</Server>


